Skip to content
Start here

Get agent readiness summary

radar.agent_readiness.summary(Literal["CHECK"]dimension, AgentReadinessSummaryParams**kwargs) -> AgentReadinessSummaryResponse
GET/radar/agent_readiness/summary/{dimension}

Returns a summary of AI agent readiness scores across scanned domains, grouped by the specified dimension. Data is sourced from weekly bulk scans. All values are raw domain counts.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
dimension: Literal["CHECK"]

Specifies the agent readiness data dimension by which to group the results.

date: Optional[Union[null, null]]

Filters results by the specified date.

formatdate
domain_category: Optional[Sequence[str]]

Filters results by domain category.

format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
name: Optional[Sequence[str]]

Array of names used to label the series in the response.

ReturnsExpand Collapse
class AgentReadinessSummaryResponse:
meta: Meta
date: str

Date of the returned scan (YYYY-MM-DD). May differ from the requested date if no scan exists for that exact date.

domain_categories: List[MetaDomainCategory]

Available domain sub-categories with their scan counts. Use as filter options for the domainCategory parameter.

name: str

Sub-category name.

value: int

Number of successfully scanned domains in this sub-category.

last_updated: datetime

Timestamp of the last dataset update.

formatdate-time
normalization: Literal["PERCENTAGE", "MIN0_MAX", "MIN_MAX", 5 more]

Normalization method applied to the results. Refer to Normalization methods.

One of the following:
"PERCENTAGE"
"MIN0_MAX"
"MIN_MAX"
"RAW_VALUES"
"PERCENTAGE_CHANGE"
"ROLLING_AVERAGE"
"OVERLAPPED_PERCENTAGE"
"RATIO"
successful_domains: int

Domains successfully scanned (excludes errors).

total_domains: int

Total domains attempted in the scan.

units: List[MetaUnit]

Measurement units for the results.

name: str
value: str
summary_0: Dict[str, str]

Get agent readiness summary

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.agent_readiness.summary(
    dimension="CHECK",
)
print(response.meta)
{
  "result": {
    "meta": {
      "date": "2026-03-24",
      "domainCategories": [
        {
          "name": "News & Media",
          "value": 0
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "successfulDomains": 0,
      "totalDomains": 0,
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "markdownNegotiation": "45000",
      "robotsTxt": "280000"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "date": "2026-03-24",
      "domainCategories": [
        {
          "name": "News & Media",
          "value": 0
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "successfulDomains": 0,
      "totalDomains": 0,
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "markdownNegotiation": "45000",
      "robotsTxt": "280000"
    }
  },
  "success": true
}